Subject: Re: format-iso8601-time/parse-iso8601-time
From: Thomas Russ <[email-masked]>
To: Matthew Kennedy <[email-masked]>
Date: Wed, 02 Feb 2005 08:55:16 -0800

On Feb 2, 2005, at 12:32 AM, Matthew Kennedy wrote:

> Hello Thomas,
>
> I am a maintainer of Gentoo's Common Lisp[1] ports and saw that your
> ISO-8601 code[2] for Common Lisp was recently mentioned by Peter Van
> Eynde[3].
>
> I would like to determine if that code is yours and also if the code
> is Free Software (open source).  If it is yours and also Free Software
> then I would like to include it in our Common Lisp library respository
> and then document its existence at the Common Lisp Wiki
> (http://www.cliki.net).

The code is indeed mine.
I am quite willing to place it in the public domain and make
it generally available.

A copy of the file with an appropriate header is included
as part of this message.  The two versions have the Unix
and the Macintosh line ending conventions.  Take your pick :)

>
> If it is your code and the code is Free Software, then I would like to
> get an acknowledgement of that fact documented in your reply to this
> email in order to make clear to others how your code can be used.
> ie. What license it is placed under (BSD, GPL, LGPL, Lisp LGPL,
> public-domain etc.)
>
> Footnotes:
> [1]  http://www.gentoo.org/cgi-bin/viewcvs.cgi/dev-lisp/
> [2]  http://www.pvv.ntnu.no/~nsaa/ISO8601.html
> [3]  http://pvaneynd.blogspot.com/2005/02/useful-iso-8601-tool.html
>
> Best regards,
>
> -- 
> Matthew Kennedy
>

--
Thomas A. Russ, Ph.D.  Senior Research Scientist             [email-masked]
USC/Information Sciences Institute              WWW:  http://www.isi.edu
4676 Admiralty Way, Marina del Rey, CA 90292              (310) 448-8775